/*
 * @(#)ZExitAction.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */
package jp.co.iti.fagot.action;

import java.awt.event.ActionEvent;

import jp.co.iti.fagot.IZApp;
/**
 * アプリケーションの終了
 * @author  福島康治
 * @version 1.01 2000/10/12
 */
public class ZExitAction extends ZAction {
	/**
	 * 唯一のコンストラクタです。
	 */
	public ZExitAction(IZApp app) {
    super(app,"exit");
	}

	/**
	 * アクション実行
	 */
	public void doAction(ActionEvent e) {
	if ( getApp().preExit(false) ) {
		getApp().exit();
	}
	}
}
